Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.textfileinput
Class TextFileFilter

    java.lang.Object
      org.pentaho.di.trans.steps.textfileinput.TextFileFilter

All Implemented Interfaces:
  Cloneable

    public class TextFileFilter

extends Object
implements Cloneable

Constructor Summary
`TextFileFilter()`
`TextFileFilter(int filterPosition, String filterString, boolean filterLastLine, boolean filterPositive)`

Method Summary
`Object` | `clone()`
`int` | `getFilterPosition()`
`String` | `getFilterString()`
`boolean` | `isFilterLastLine()`
`boolean` | `isFilterPositive()`
`void` | `setFilterLastLine(boolean filterLastLine)`
`void` | `setFilterPosition(int filterPosition)`
`void` | `setFilterPositive(boolean filterPositive)`
`void` | `setFilterString(String filterString)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFileFilter

    public TextFileFilter(int filterPosition,
                          String filterString,
                          boolean filterLastLine,
                          boolean filterPositive)

Parameters:
  `filterPosition` - The position of the occurrence of the filter string to check at
  `filterString` - The string to filter on
  `filterLastLine` - True if we want to stop when we reach a filter string on the specified position False if you just want to skip the line.
  `filterPositive` - True if we want to get only lines that match this string

### TextFileFilter

    public TextFileFilter()

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### isFilterLastLine

    public boolean isFilterLastLine()

  Returns:
    Returns the filterLastLine.

### setFilterLastLine

    public void setFilterLastLine(boolean filterLastLine)

  Parameters:
    `filterLastLine` - The filterLastLine to set.

### isFilterPositive

    public boolean isFilterPositive()

  Returns:
    Returns the filterPositive.

### setFilterPositive

    public void setFilterPositive(boolean filterPositive)

  Parameters:
    `filterPositive` - The filterPositive to set.

### getFilterPosition

    public int getFilterPosition()

  Returns:
    Returns the filterPosition.

### setFilterPosition

    public void setFilterPosition(int filterPosition)

  Parameters:
    `filterPosition` - The filterPosition to set.

### getFilterString

    public String getFilterString()

  Returns:
    Returns the filterString.

### setFilterString

    public void setFilterString(String filterString)

  Parameters:
    `filterString` - The filterString to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD